/**
 ******************************************************************************
 * @file     sw.h
 * @brief    KEY driver for the TOSHIBA 'TMPM440' Device Series
 * @version  V0.101
 * @date     2014/05/20
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 *
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */
#ifndef __SW_H
#define __SW_H
/** include files **/
#include "TMPM440.h"
#include "tmpm440_gpio.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

#define SW0             GPIO_BIT_0
#define SW1             GPIO_BIT_1
#define SW2             GPIO_BIT_2
#define SW3             GPIO_BIT_3
#define SW4             GPIO_BIT_4
#define SW5             GPIO_BIT_5
#define SW6             GPIO_BIT_6
#define SW7             GPIO_BIT_7
#define SW_PORT         GPIO_PAD
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void SW_Init(void);
uint8_t SW_Get(uint8_t key);

#endif                          /* SW_H */
