/**
 ******************************************************************************
 * @file     sw.h
 * @brief    SW driver for No GPIO Driver
 * @version  V0.101
 * @date     2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */
#ifndef __SW_H
#define __SW_H

#include "TMPM440.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

#define SW0         (1U<<0U)
#define SW1         (1U<<1U)
#define SW2         (1U<<2U)
#define SW3         (1U<<3U)
#define SW4         (1U<<4U)
#define SW5         (1U<<5U)
#define SW6         (1U<<6U)
#define SW7         (1U<<7U)

#define SW_ALL      (SW0|SW1|SW2|SW3|SW4|SW5|SW6|SW7)
#define TSB_SW       TSB_PAD

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void SW_Init(void);
uint8_t SW_Get(uint8_t SW);

#endif                          /* SW_H */
