/**
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of DMAC UART demo for the
 *          TOSHIBA 'TMPM440' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM440.h"
#include "tmpm440_dmac.h"
#include "tmpm440_int.h"
#include "tmpm440_uart.h"

#ifndef  __BIG_ENDIAN
#ifdef __IAR_SYSTEMS_ICC__
#if 1 != __LITTLE_ENDIAN__
#define     __BIG_ENDIAN
#endif
#endif
#endif

void GPIO_SetUART(void);
#endif                          /* __MAIN_H */
